Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### bezierVertex()
Examples |
    noFill();
    beginShape();
    vertex(30, 20);
    bezierVertex(80, 0, 80, 75, 30, 75);
    endShape();
    beginShape();
    vertex(30, 20);
    bezierVertex(80, 0, 80, 75, 30, 75);
    bezierVertex(50, 80, 60, 25, 30, 20);
    endShape();
Description | Specifies vertex coordinates for Bezier curves. Each call to bezierVertex() defines the position of two control points and one anchor point of a Bezier curve, adding a new segment to a line or shape. The first time bezierVertex() is used within a beginShape() call, it must be prefaced with a call to vertex() to set the first anchor point. This function must be used between beginShape() and endShape() and only when there is no MODE parameter specified to beginShape(). Using the 3D version of requires rendering with P3D or OPENGL (see the Environment reference for more information).
Syntax |
    bezierVertex(cx1, cy1, cx2, cy2, x, y)
    bezierVertex(cx1, cy1, cz1, cx2, cy2, cz2, x, y, z)
Parameters |
cx1 | The x-coordinate of 1st control point, either a float or int
cy1 | The y-coordinate of 1st control point, either a float or int
cz1 | The z-coordinate of 1st control point, either a float or int
cx2 | The x-coordinate of 2nd control point, either a float or int
cy2 | The y-coordinate of 2nd control point, either a float or int
cz2 | The z-coordinate of 2nd control point, either a float or int
x | The x-coordinate of anchor point, either a float or int
y | The y-coordinate of anchor point, either a float or int
z | The z-coordinate of anchor point, either a float or int
Usage | Web & Application
Related | curveVertex() vertex() bezier()

Updated on August 30, 2010 04:29:39pm EDT